"use client";
import { applyTypography } from "../../../styles/typography.js";
import { typographyStyles } from "../typographyStyles.js";
import { getPropDefaultsBase } from "./getPropDefaults.js";
import styled from "@emotion/styled";
import { jsx } from "@emotion/react/jsx-runtime";
//#region src/components/typography/base/Body.tsx
function BodyString(props) {
	const { children, ...rest } = getPropDefaults(props);
	return /* @__PURE__ */ jsx(StyledBody, {
		...rest,
		children
	});
}
function getPropDefaults(props) {
	return getPropDefaultsBase(props, { as: props.tag || "span" });
}
const StyledBody = styled.span`
  ${({ theme, size, colorProp }) => applyTypography(theme, "Body", size, colorProp)}
  ${typographyStyles}
`;
//#endregion
export { BodyString, StyledBody, getPropDefaults };
